import { InputSignal, InputSignalWithTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ButtonGroupComponent {
    /**
     * Size the component small or large.
     * @type { 'sm' | 'lg' }
     */
    size: InputSignal<'sm' | 'lg' | undefined>;
    /**
     * Create a set of buttons that appear vertically stacked rather than horizontally. Split button dropdowns are not supported here.
     * @type boolean
     */
    vertical: InputSignalWithTransform<boolean, unknown>;
    /**
     * Default role attr for ButtonGroup. [docs]
     * @type InputSignal<string>
     * @default 'group'
     */
    role: InputSignal<string>;
    hostClasses: import("@angular/core").Signal<{
        [x: string]: boolean;
        'btn-group': boolean;
        'btn-group-vertical': boolean;
    }>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonGroupComponent, "c-button-group", never, { "size": { "alias": "size"; "required": false; "isSignal": true; }; "vertical": { "alias": "vertical"; "required": false; "isSignal": true; }; "role": { "alias": "role"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
